{: test that string parameter causes a compilation error
   if the actual parameter is not a compatible string}

program e1077( output );

type
   str = packed array[1..10] of char;

var
   s1 : packed array[1..9] of char;
procedure p(s: str);
begin
end; { p }

begin { e1077 }
   p('1234');
   s1 := '123456789';
   p(s1); {!!! not compatible}
end. { e1077 }

